<html>
<head>
<link rel="stylesheet" href="style.css" type="text/css">
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="Start" href="index.html">
<link title="Index of types" rel=Appendix href="index_types.html">
<link title="Index of values" rel=Appendix href="index_values.html">
<link title="Index of modules" rel=Appendix href="index_modules.html">
<link title="Utils" rel="Chapter" href="Utils.html">
<link title="RandList" rel="Chapter" href="RandList.html">
<link title="Tree" rel="Chapter" href="Tree.html"><title>Index of types</title>
</head>
<body>
<div class="navbar">&nbsp;<a class="up" href="index.html" title="Index">Up</a>
&nbsp;</div>
<h1>Index of types</h1>
<table>
<tr><td align="left"><div>C</div></td></tr>
<tr><td><a href="Utils.html#TYPEcmp">cmp</a> [<a href="Utils.html">Utils</a>]</td>
<td><div class="info">
<p>Sum type for comparisons.</p>

</div>
</td></tr>
<tr><td align="left"><div>T</div></td></tr>
<tr><td><a href="Tree.html#TYPEtree">tree</a> [<a href="Tree.html">Tree</a>]</td>
<td><div class="info">
<p>A tree, which can be either a leaf, a node or a compressed node</p>

</div>
</td></tr>
</table>
</body>
</html>
